Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZOrder Member List

This is the complete list of members for eZOrder, including all inherited members.

$BillingAddressID | eZOrder |
$checkups | eZOrder |
$Comment | eZOrder |
$CompanyID | eZOrder |
$Date | eZOrder |
$ID | eZOrder |
$IsExported | eZOrder |
$IsVATInc | eZOrder |
$OrderStatus_ | eZOrder |
$PaymentMethod | eZOrder |
$PersonID | eZOrder |
$ShippingAddressID | eZOrder |
$ShippingCharge | eZOrder |
$ShippingTypeID | eZOrder |
$ShippingVAT | eZOrder |
$TextPaymentMethod | eZOrder |
$UserID | eZOrder |
__construct( $id="") | eZOrder |
billingAddress() | eZOrder |
comment() | eZOrder |
companyID() | eZOrder |
customers( $searchText=false) | eZOrder | static
date() | eZOrder |
delete() | eZOrder |
expiringOrders( $startdate, $time=86400) | eZOrder |
get( $id="") | eZOrder |
getAll( $offset=0, $limit=40, $OrderBy="Date") | eZOrder |
getByContact( $contact, $is_person=true, $offset=0, $limit=40) | eZOrder | static
getByCustomer( $user) | eZOrder |
getByUser( $offset=0, $limit=40, $OrderBy="Date", $user=false) | eZOrder |
getCountByUser( $user=false, $OrderBy=false) | eZOrder |
getNew() | eZOrder |
getSearchCount( $queryText) | eZOrder |
getTotalCount() | eZOrder |
id() | eZOrder |
initialStatus() | eZOrder |
isExported( $value) | eZOrder |
isOwner(&$user) | eZOrder |
isVATInc() | eZOrder |
items() | eZOrder |
lastStatus() | eZOrder |
mostPopularProduct() | eZOrder |
orderTotals(&$tax, &$total) | eZOrder |
paymentMethod() | eZOrder |
personID() | eZOrder |
search( $queryText, $offset=0, $limit=20) | eZOrder |
setBillingAddress( $billingAddress, $user) | eZOrder |
setComment( $value) | eZOrder |
setCompanyID( $id) | eZOrder |
setIsExported( $value) | eZOrder |
setIsVATInc( $value) | eZOrder |
setPaymentMethod( $value) | eZOrder |
setPersonID( $userID) | eZOrder |
setShippingAddress( $shippingAddress, $user) | eZOrder |
setShippingCharge( $value) | eZOrder |
setShippingTypeID( $type) | eZOrder |
setShippingVAT( $value) | eZOrder |
setStatus( $type) | eZOrder |
setUser( $user) | eZOrder |
shippingAddress() | eZOrder |
shippingCharge() | eZOrder |
shippingType() | eZOrder |
shippingUser() | eZOrder |
shippingVAT() | eZOrder |
soldProducts( $product) | eZOrder | static
statusHistory() | eZOrder |
store() | eZOrder |
totalPrice( $user=false) | eZOrder |
totalPriceIncVAT() | eZOrder |
totalVAT() | eZOrder |
usedVouchers() | eZOrder |
user() | eZOrder |
voucherTotal(&$tax, &$total, $voucherItem=false) | eZOrder |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.